Method: accounts.projects.get

Gets a project.

HTTP request

GET https://mmmdata.googleapis.com/v0/{name=accounts/*/projects/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the project to retrieve. Format: accounts/{account}/projects/{project}

Query parameters

Parameters
view

enum (ProjectView)

Optional. The view of the project to show in the response. To include all fields, use PROJECT_VIEW_FULL.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Project.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/mmm_data
  • https://www.googleapis.com/auth/mmm_data.readonly

For more information, see the OAuth 2.0 Overview.

ProjectView

The view type of project to be included in the response.

Enums
PROJECT_VIEW_UNSPECIFIED Unspecified.
PROJECT_VIEW_BASIC The default view, including basic project details. Lengthy fields are omitted.
PROJECT_VIEW_FULL The view for projects with lengthy fields included.